<?php session_start();
?>

<!doctype html>
<html lang="nl">

<head>
    <title>TimeSheet / Logs</title>
    <?php require_once '../head.php'; ?>
</head>

<body>

    <?php require_once '../header.php'; ?>
    <div class="container">

        <h1>TimeSheet / Logs</h1>
        <a href="create.php">Nieuwe log maken &gt;</a>

        <?php
        require_once '../backend/conn.php';


        if(empty($_GET['department'])) {
            $query = "SELECT * FROM logs WHERE user = :user ORDER BY date DESC";
            $statement = $conn->prepare($query);
            $statement->execute([
                ":user" => $_SESSION['user_id']
            ]);
        }
        else{
            $query = "SELECT * FROM logs WHERE user = :user AND department = :department ORDER BY date DESC";
            $statement = $conn->prepare($query);
            $statement->execute([
                ":user" => $_SESSION['user_id'],
                ":department" => $_GET['department']
            ]);
        }

        $logs = $statement->fetchAll(PDO::FETCH_ASSOC);

        ?>
        <div class="filter"
        <p>Aantal logs: <strong><?php echo count($logs);  ?></strong></p>
        <form>
            <select name="department" id="department">
                <option value="">-Filter op afdeling-</option>
                <option value="personeel">Personeel en HR</option>
                <option value="horeca">Restaurants en cafes</option>
                <option value="techniek">Technische dienst</option>
                <option value="inkoop">Inkoop</option>
                <option value="klantenservice">Klantenservice</option>
                <option value="groen">Groenbeheer</option>
                <option value="attracties">Attracties (gastheer/vrouw)</option>

            </select>
            <input type="submit" value="Filter">
        </form>
        </div>
        <table>
            <tr>
                <th>Duur</th>
                <th>Afdeling</th>
                <th>Datum &downarrow;</th>
                <th>Gebruikers-id</th>
                <th>Aanpassen</th>
            </tr>
            <?php foreach($logs as $log): ?>
                <tr>
                    <td><?php echo $log['duration']; ?>u</td>
                    <td><?php echo ucfirst($log['department']); ?></td>
                    <td><?php echo $log['date']; ?></td>
                    <td>#<?php echo $log['user']; ?></td>
                    <td><a href="edit.php?id=<?php echo $log['id']?>">aanpassen</a></td>
                </tr>
            <?php endforeach; ?>
        </table>


    </div>

</body>

</html>
